Get Policy List

For API version information, refer to the API Version History section.

V1.0 | V2.0

V1.0

GET/pcrs/1.0/posture/policy/list?lastEvaluationDate=<evaluation date>

List all policy IDs as per the last evaluation date specified.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

Request header:

Authorization

Required

String 

JWT encrypted .

Note: Provide the received from the Authorization API as the input.

lastEvaluationDate

 

Optional

Integer 

Compliance posture information records when the posture is equal to or greater than the specified date.

You may also specify the time.

The format for date and time is:

YYYY-MM-DD

or,

YYYY-MM-DDTHH:MM:SSZ (UTC/GMT).

Sample JSON Output Response - Get Policy ListSample JSON Output Response - Get Policy List

Get Policy List Without lastEvaluationDate

API Request

curl -X GET https://<qualys_base_url>/pcrs/1.0/posture/policy/list-H "accept: */*"-H "Authorization: Bearer Token "

JSON Output

{
    "subscriptionId": "<SUBSCRIPTION ID>",
    "policyList": [
    {
    "id": "<POLICY ID>",
    "title": "VMWARE 5.5 AND 6.0",
    "createdBy": "<USER NAME>",
    "createdDate": "2018-01-19T07:52:11Z",
    "modifiedBy": "<USER NAME>",
    "modifiedDate": "2018-02-01T09:32:33Z",
    "lastEvaluatedDate": "2019-12-19T06:38:46Z",
    "status": "inactive",
    "locked": 0
    },
    {
    "id": "<POLICY ID>",
    "title": "Windows Server 2012",
    "createdBy": "<USER NAME>",
    "createdDate": "2018-02-02T06:22:16Z",
    "modifiedBy": "<USER NAME>",
    "modifiedDate": "2018-02-22T10:06:25Z",
    "lastEvaluatedDate": "2019-12-19T06:39:05Z",
    "status": "inactive",
    "locked": 0
    },
    {
    "id": "<POLICY ID>",
    "title": "Policy for HPUX",
    "createdBy": "<USER NAME>",
    "createdDate": "2018-04-23T07:14:16Z",
    "modifiedBy": "<USER NAME>",
    "modifiedDate": "2018-04-23T07:15:12Z",
    "lastEvaluatedDate": "2019-12-19T06:37:51Z",
    "status": "inactive",
    "locked": 0
    },
    ....
    ]  
    }

Get Policy List with lastEvaluationDate

API Request

curl -X GET https://<qualys_base_url>/pcrs/1.0/posture/policy/list?lastEvaluationDate=2022-02-15T06:04:46Z-H "accept: */*"-H "Authorization: Bearer "

JSON Output

{
    "subscriptionId": "<SUBSCRIPTION ID>",
    "policyList": [
    {
    "id": "<POLICY ID>",
    "title": "ALL",
    "createdBy": "<USER NAME>",
    "createdDate": "2021-04-08T05:46:39Z",
    "modifiedBy": "<USER NAME>",
    "modifiedDate": "2021-06-16T11:38:54Z",
    "lastEvaluatedDate": "2022-02-17T13:11:19Z",
    "status": "inactive",
    "locked": 0
    },
    {
    "id": "<POLICY ID>",
    "title": "udc_sp",
    "createdBy": "<USER NAME>",
    "createdDate": "2021-04-20T17:40:32Z",
    "modifiedBy": "<USER NAME>",
    "modifiedDate": "2021-04-20T17:44:48Z",
    "lastEvaluatedDate": "2022-02-17T13:11:08Z",
    "status": "inactive",
    "locked": 0
    },
    {
    "id": "<POLICY ID>",
    "title": "10.115.95.138_agent_fromHostPolicy",
    "createdBy": "<USER NAME>",
    "createdDate": "2021-05-19T23:30:25Z",
    "modifiedBy": "<USER NAME>",
    "modifiedDate": "2021-05-19T23:31:53Z",
    "lastEvaluatedDate": "2022-02-17T12:59:33Z",
    "status": "inactive",
    "locked": 0
    },
    .....
    ] 
    }

V2.0

GET/pcrs/2.0/posture/policy/list?lastEvaluationDate=<evaluation date>

List all policy IDs as per the last evaluation date specified.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

Request header:

Authorization

Required

String 

JWT encrypted .

Note: Provide the received from the Authorization API as the input.

lastEvaluationDate


Optional

Integer 

Compliance posture information records when the posture is equal to or greater than the specified date.

You may also specify the time.

The format for date and time is:

YYYY-MM-DD

or,

YYYY-MM-DDTHH:MM:SSZ (UTC/GMT).

requireTagInfo={1|0}
Optional Boolean Specify '1' to retrieve tag information details for a policy, else specify '0'.

Sample JSON Output Response - Get Policy ListSample JSON Output Response - Get Policy List

Get Policy List Without lastEvaluationDate

API Request

curl -X GET <qualys_base_url>/pcrs/2.0/posture/policy/list-H "accept: */*"-H "Authorization: Bearer Token "

JSON Output

{
    "subscriptionId": "<SUBSCRIPTION ID>",
    "policyList": [
    {
    "id": "<POLICY ID>",
    "title": "VMWARE 5.5 AND 6.0",
    "createdBy": "<USER NAME>",
    "createdDate": "2018-01-19T07:52:11Z",
    "modifiedBy": "<USER NAME>",
    "modifiedDate": "2018-02-01T09:32:33Z",
    "lastEvaluatedDate": "2019-12-19T06:38:46Z",
    "status": "inactive",
    "locked": 0
    },
    {
    "id": "<POLICY ID>",
    "title": "Windows Server 2012",
    "createdBy": "<USER NAME>",
    "createdDate": "2018-02-02T06:22:16Z",
    "modifiedBy": "<USER NAME>",
    "modifiedDate": "2018-02-22T10:06:25Z",
    "lastEvaluatedDate": "2019-12-19T06:39:05Z",
    "status": "inactive",
    "locked": 0
    },
    {
    "id": "<POLICY ID>",
    "title": "Policy for HPUX",
    "createdBy": "<USER NAME>",
    "createdDate": "2018-04-23T07:14:16Z",
    "modifiedBy": "<USER NAME>",
    "modifiedDate": "2018-04-23T07:15:12Z",
    "lastEvaluatedDate": "2019-12-19T06:37:51Z",
    "status": "inactive",
    "locked": 0
    },
    ....
    ]  
    }

Get Policy List with lastEvaluationDate

API Request

curl -X GET <qualys_base_url>/pcrs/2.0/posture/policy/list?lastEvaluationDate=2022-02-15T06:04:46Z-H "accept: */*"-H "Authorization: Bearer "

JSON Output

{
    "subscriptionId": "<SUBSCRIPTION ID>",
    "policyList": [
    {
    "id": "<POLICY ID>",
    "title": "ALL",
    "createdBy": "<USER NAME>",
    "createdDate": "2021-04-08T05:46:39Z",
    "modifiedBy": "<USER NAME>",
    "modifiedDate": "2021-06-16T11:38:54Z",
    "lastEvaluatedDate": "2022-02-17T13:11:19Z",
    "status": "inactive",
    "locked": 0
    },
    {
    "id": "<POLICY ID>",
    "title": "udc_sp",
    "createdBy": "<USER NAME>",
    "createdDate": "2021-04-20T17:40:32Z",
    "modifiedBy": "<USER NAME>",
    "modifiedDate": "2021-04-20T17:44:48Z",
    "lastEvaluatedDate": "2022-02-17T13:11:08Z",
    "status": "inactive",
    "locked": 0
    },
    {
    "id": "<POLICY ID>",
    "title": "10.115.95.138_agent_fromHostPolicy",
    "createdBy": "<USER NAME>",
    "createdDate": "2021-05-19T23:30:25Z",
    "modifiedBy": "<USER NAME>",
    "modifiedDate": "2021-05-19T23:31:53Z",
    "lastEvaluatedDate": "2022-02-17T12:59:33Z",
    "status": "inactive",
    "locked": 0
    },
    .....
    ] 
    }

Sample -  Display tag information for a specific policy IDSample -  Display tag information for a specific policy ID

API Request

curl --location '<gateway_base_url>/pcrs/2.0/posture/policy/list?lastEvaluationDate=2021-09-30T07%3A25%3A58Z&requireTagInfo=1' \
--header 'Authorization: Bearer <Bearer Token>' 

JSON Output

{
  "subscriptionId": 4427355,
  "policyList": [
    {
      "id": 6367495,
      "title": "AssetTagPolicy-1",
      "createdBy": "neaxmn",
      "createdDate": "2026-04-01T05:55:37Z",
      "modifiedBy": "neaxmn",
      "modifiedDate": "2026-04-01T06:16:05Z",
      "lastEvaluatedDate": "2026-04-01T06:16:19Z",
      "tagsetId": "7d5fccf2-dee3-4783-80ac-a2cd5ee493ed",
      "status": "active",
      "locked": 0,
      "includeAgentIp": null,
      "tagInfo": {
        "includeTags": [
          {
            "id": 152244404,
            "name": "pyscand_1.1.1.1_ag"
          },
          {
            "id": 152245230,
            "name": "OCA"
          },
          {
            "id": 154079256,
            "name": "CaponeAG"
          }
        ],
        "excludeTags": [
          {
            "id": 153227435,
            "name": "StaleDataAssestGroupWindows12andCentos7"
          },
          {
            "id": 156570542,
            "name": "dtest"
          }
        ],
        "includeTagsScope": "ANY",
        "excludeTagsScope": "ALL"
      }
    }
  ]
}

API Version History

The following table depicts the information about the different versions of this API along with the status:

API Version EOS EOL
/pcrs/2.0/posture/policy/list Active Active
/pcrs/1.0/posture/policy/list November 2026 May 2027

Related Topics

PC Posture Streaming APIs

Resolve Host IDs

Get Posture Info

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.